<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9134bu1.xslt, 05-06-2024 -->
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:ave="http://ei.vektis.nl/aanenafmeldingverzekerde/basisschema/v1_1" 
 xmlns:vz806="http://ei.vektis.nl/aanenafmeldingverzekerde/vz806/v1_1">

	<!-- retourcode 9134: DatumRedenEindeRecht moet voorkomen bij deze waarde in CodeRedenEindeRecht.-->
	
	<xsl:template name="rc9134b">

		<xsl:param name="CodeRedenEindeRecht"/>
		<xsl:param name="DatumRedenEindeRecht"/>
			
		<xsl:if test="normalize-space($CodeRedenEindeRecht) = 1801
					   or normalize-space($CodeRedenEindeRecht) = 1802 
					   or normalize-space($CodeRedenEindeRecht) = 1803
					   or normalize-space($CodeRedenEindeRecht) = 1805">
			<xsl:if test="(normalize-space($DatumRedenEindeRecht) = '')">
				<vz806:Retourcode>9134</vz806:Retourcode>
			</xsl:if>
		</xsl:if>


	</xsl:template>

</xsl:stylesheet>
